> ## Documentation Index
> Fetch the complete documentation index at: https://developer.karmacheck.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Find jurisdictions

> Retrieves a list of relevant county and federal district jurisdictions based on a set of city/county/state combinations.

This list is needed when ordering a case, as it ensures that the case is ordered with the correct list of jurisdictions.



## OpenAPI

````yaml /background-check-api/api-reference/openapi.json post /jurisdiction/find/all
openapi: 3.1.0
info:
  title: KarmaCheck API
  description: >-
    All requests to the KarmaCheck API require a JSON Web Token (JWT) in the
    Authorization header. For an overview of the API and its authentication
    method, refer to the following topics:


    - [API basics](docs/overview/apis/api-overview.md)

    - [Authentication](docs/overview/apis/authentication.md)

    - [Environments](docs/overview/apis/environments.md)

    - [Status codes and errors](docs/overview/apis/errors.md)
  version: '1.0'
  contact:
    name: KarmaCheck
    email: customersuccess@karmacheck.com
servers:
  - description: Stage
    url: https://api-stage.karmacheck.io
  - description: Prod
    url: https://api.karmacheck.io
security:
  - JWT: []
tags:
  - name: Authentication
  - name: Cases
  - name: Candidate onboarding
  - name: Secure documents
  - name: Packages
  - name: Services
  - name: Users
  - name: Companies
  - name: Partner integrations
paths:
  /jurisdiction/find/all:
    post:
      tags:
        - Cases
      summary: Find jurisdictions
      description: >-
        Retrieves a list of relevant county and federal district jurisdictions
        based on a set of city/county/state combinations.


        This list is needed when ordering a case, as it ensures that the case is
        ordered with the correct list of jurisdictions.
      operationId: post-jurisdiction-find-all
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                counties:
                  type: array
                  items:
                    $ref: '#/components/schemas/JurisdictionCounties'
            examples:
              Example 1:
                value:
                  counties:
                    - city: Long Beach
                      state: CA
                      county: Los Angeles
                    - city: Newport Beach
                      state: CA
                      county: Orange
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  list:
                    type: array
                    items:
                      type: object
                      allOf:
                        - $ref: >-
                            #/components/schemas/JurisdictionsFederalDistrictCourtAndCounty
                        - type: object
                          required:
                            - jurisdictionType
                          properties:
                            jurisdictionType:
                              type: string
                              enum:
                                - federal-district
                                - county
              examples:
                Example 1:
                  value:
                    list:
                      - name: LOS ANGELES
                        stateCode: CA
                        state: CALIFORNIA
                        jurisdictionType: county
                      - name: ORANGE
                        stateCode: CA
                        state: CALIFORNIA
                        jurisdictionType: county
                      - name: California Central District Court
                        district: Central
                        stateCode: CA
                        state: CALIFORNIA
                        county: LOS ANGELES
                        jurisdictionType: federal-district
        '400':
          description: Bad Request
        '403':
          description: Forbidden
        '500':
          description: Internal Server Error
      security:
        - JWT: []
components:
  schemas:
    JurisdictionCounties:
      title: JurisdictionCounties
      type: object
      description: Jurisdiction lookup entity.
      required:
        - state
      properties:
        city:
          type: string
          description: >-
            The city for which relevant jurisdictions will be returned. Required
            if `county` is not passed.
        county:
          type: string
          description: >-
            The county for which relevant jurisdictions will be returned.
            **Known issue:** The API currently requires this property to be
            passed.
        state:
          type: string
          description: 'The state for which relevant jurisdictions will be returned. '
    JurisdictionsFederalDistrictCourtAndCounty:
      title: JurisdictionsFederalDistrictCourtAndCounty
      type: object
      description: Federal district court and county entity.
      required:
        - name
        - stateCode
        - state
      properties:
        name:
          type: string
        district:
          type: string
        stateCode:
          type: string
          description: The two-letter code for the state.
        state:
          type: string
        county:
          type: string
  securitySchemes:
    JWT:
      type: http
      scheme: bearer

````